<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Environment Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classEnvironment.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classEnvironment-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Environment Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to obtain environment variables.  
 <a href="classEnvironment.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Environment_8h_source.html">Environment.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a4b43a60447fd03d7e398ec75610deb72"><td class="memItemLeft" align="right" valign="top"><a id="a4b43a60447fd03d7e398ec75610deb72"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>getVerbosity</b> ()</td></tr>
<tr class="separator:a4b43a60447fd03d7e398ec75610deb72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab9258bcb95ce7cb40d383295fc34040"><td class="memItemLeft" align="right" valign="top"><a id="aab9258bcb95ce7cb40d383295fc34040"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getLogFile</b> ()</td></tr>
<tr class="separator:aab9258bcb95ce7cb40d383295fc34040"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9767cfed57ce954c92cfbf8330a9da5"><td class="memItemLeft" align="right" valign="top"><a id="aa9767cfed57ce954c92cfbf8330a9da5"></a>
static float&#160;</td><td class="memItemRight" valign="bottom"><b>getMaxImageCacheSize</b> ()</td></tr>
<tr class="separator:aa9767cfed57ce954c92cfbf8330a9da5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe2b44312d7c6017380f3ccaa94b2164"><td class="memItemLeft" align="right" valign="top"><a id="afe2b44312d7c6017380f3ccaa94b2164"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getFileNamePattern</b> ()</td></tr>
<tr class="separator:afe2b44312d7c6017380f3ccaa94b2164"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2f0584e7129d5f64b18c30d65a79a0e"><td class="memItemLeft" align="right" valign="top"><a id="af2f0584e7129d5f64b18c30d65a79a0e"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>getJPEGQuality</b> ()</td></tr>
<tr class="separator:af2f0584e7129d5f64b18c30d65a79a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57cc7cf7979fd9ea277864d4fc31e7ee"><td class="memItemLeft" align="right" valign="top"><a id="a57cc7cf7979fd9ea277864d4fc31e7ee"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>getMaxCVT</b> ()</td></tr>
<tr class="separator:a57cc7cf7979fd9ea277864d4fc31e7ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f19198f917fb63793f82ce46606473d"><td class="memItemLeft" align="right" valign="top"><a id="a9f19198f917fb63793f82ce46606473d"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>getMaxLayers</b> ()</td></tr>
<tr class="separator:a9f19198f917fb63793f82ce46606473d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eff2e37b77399c3d2861633bcd7c459"><td class="memItemLeft" align="right" valign="top"><a id="a1eff2e37b77399c3d2861633bcd7c459"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getFileSystemPrefix</b> ()</td></tr>
<tr class="separator:a1eff2e37b77399c3d2861633bcd7c459"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7007cc81cb9da8313d0b73d6d998fab7"><td class="memItemLeft" align="right" valign="top"><a id="a7007cc81cb9da8313d0b73d6d998fab7"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getWatermark</b> ()</td></tr>
<tr class="separator:a7007cc81cb9da8313d0b73d6d998fab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57b97679a0419fa241321af18fa179b0"><td class="memItemLeft" align="right" valign="top"><a id="a57b97679a0419fa241321af18fa179b0"></a>
static float&#160;</td><td class="memItemRight" valign="bottom"><b>getWatermarkProbability</b> ()</td></tr>
<tr class="separator:a57b97679a0419fa241321af18fa179b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba30aba34df3abe973216fd8ee914db3"><td class="memItemLeft" align="right" valign="top"><a id="aba30aba34df3abe973216fd8ee914db3"></a>
static float&#160;</td><td class="memItemRight" valign="bottom"><b>getWatermarkOpacity</b> ()</td></tr>
<tr class="separator:aba30aba34df3abe973216fd8ee914db3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a917500197dad1945f85486aaed73e5d2"><td class="memItemLeft" align="right" valign="top"><a id="a917500197dad1945f85486aaed73e5d2"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getMemcachedServers</b> ()</td></tr>
<tr class="separator:a917500197dad1945f85486aaed73e5d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2848577498fda48dd4ddebab43bbff55"><td class="memItemLeft" align="right" valign="top"><a id="a2848577498fda48dd4ddebab43bbff55"></a>
static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>getMemcachedTimeout</b> ()</td></tr>
<tr class="separator:a2848577498fda48dd4ddebab43bbff55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f3ab303b60d35e502cb2b9519df40d9"><td class="memItemLeft" align="right" valign="top"><a id="a8f3ab303b60d35e502cb2b9519df40d9"></a>
static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>getInterpolation</b> ()</td></tr>
<tr class="separator:a8f3ab303b60d35e502cb2b9519df40d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a9ea91941ca65813c4a9406b5df2cfa"><td class="memItemLeft" align="right" valign="top"><a id="a4a9ea91941ca65813c4a9406b5df2cfa"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getCORS</b> ()</td></tr>
<tr class="separator:a4a9ea91941ca65813c4a9406b5df2cfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eb0a3b5ba1e577ce6ce6f95adc763aa"><td class="memItemLeft" align="right" valign="top"><a id="a9eb0a3b5ba1e577ce6ce6f95adc763aa"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getBaseURL</b> ()</td></tr>
<tr class="separator:a9eb0a3b5ba1e577ce6ce6f95adc763aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b5e809e7b9d6f3e30615aec4db76d9a"><td class="memItemLeft" align="right" valign="top"><a id="a5b5e809e7b9d6f3e30615aec4db76d9a"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getCacheControl</b> ()</td></tr>
<tr class="separator:a5b5e809e7b9d6f3e30615aec4db76d9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25789e9bd70651185738844af3c15806"><td class="memItemLeft" align="right" valign="top"><a id="a25789e9bd70651185738844af3c15806"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>getAllowUpscaling</b> ()</td></tr>
<tr class="separator:a25789e9bd70651185738844af3c15806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab66ac330a2866b0f8729e84ab00ed70b"><td class="memItemLeft" align="right" valign="top"><a id="ab66ac330a2866b0f8729e84ab00ed70b"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getURIMap</b> ()</td></tr>
<tr class="separator:ab66ac330a2866b0f8729e84ab00ed70b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac714b0c1ae125b62bb0e00d0352a066e"><td class="memItemLeft" align="right" valign="top"><a id="ac714b0c1ae125b62bb0e00d0352a066e"></a>
static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>getEmbedICC</b> ()</td></tr>
<tr class="separator:ac714b0c1ae125b62bb0e00d0352a066e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc39b83ab3912b46057bcba817f552a0"><td class="memItemLeft" align="right" valign="top"><a id="abc39b83ab3912b46057bcba817f552a0"></a>
static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>getKduReadMode</b> ()</td></tr>
<tr class="separator:abc39b83ab3912b46057bcba817f552a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to obtain environment variables. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Environment_8h_source.html">Environment.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classEnvironment.html">Environment</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
